Core - Bug # 50568

Status: Resolved Priority: Must have

Author: Alexander Stehlik Category: FormEngine aka TCEforms
Created: 2013-07-30 Assigned To:

Updated: 2013-08-07 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression:

Sprint Focus:

Subject: Make FileExtensionFilter case insensitive

Description

At the moment the \TYPO3\CMS\Core\Resource\Filter\FileExtensionFilter will not find any files if the allowed extensions are

uppercase and the files in the directory have lowercase extensions.

This is a real problem because the \TYPO3\CMS\Backend\Form\FormEngin::getSingleField_typeGroup() method converts all

configured allowed extensions to uppercase.

Associated revisions

Revision 8c8bdfe0 - 2013-08-07 20:07 - Alexander Stehlik

[BUGFIX] Ignore case in file extension filter

This patch makes the FileExtensionFilter case insensitive.

If the filter is configured to allow files with the ".EXT"
extension it will now also allow files with an ".ext"

extension.

Additionally the order of a data provider method in the

FileExtensionFilterTest has been corrected.

Resolves: #50568

Releases: 6.2, 6.1, 6.0

Change-Id: 15761ab7f06116ef847caeb2ae786e580730c0e6b
Reviewed-on: https:/review.typo3.org/22724

Reviewed-by: Stefan Neufeind

Tested-by: Stefan Neufeind

Reviewed-by: Wouter Wolters

Tested-by: Wouter Wolters

Revision d7f01a29 - 2013-08-07 20:50 - Alexander Stehlik

[BUGFIX] Ignore case in file extension filter

This patch makes the FileExtensionFilter case insensitive.

If the filter is configured to allow files with the ".EXT"
https://review.typo3.org/22724

extension it will now also allow files with an ".ext"

extension.

Additionally the order of a data provider method in the
FileExtensionFilterTest has been corrected.

Resolves: #50568

Releases: 6.2, 6.1, 6.0

Change-Id: 15761ab7f06116ef847caeb2ae786e580730c0e6b
Reviewed-on: https://review.typo3.org/22937

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

Revision 98bc16ba - 2013-08-07 20:50 - Alexander Stehlik

[BUGFIX] Ignore case in file extension filter

This patch makes the FileExtensionFilter case insensitive.

If the filter is configured to allow files with the ".EXT"

extension it will now also allow files with an ".ext"

extension.

Additionally the order of a data provider method in the
FileExtensionFilterTest has been corrected.

Resolves: #50568

Releases: 6.2, 6.1, 6.0

Change-Id: 15761ab7f06116ef847caeb2ae786e580730c0ebb
Reviewed-on: https://review.typo3.0rg/22938

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2013-07-30 18:13 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/22724

#2 - 2013-07-30 18:16 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/22724

#3 - 2013-08-03 15:41 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22724

#4 - 2013-08-03 20:14 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/22724

#5 - 2013-08-07 20:07 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.

It is available at https://review.typo3.org/22937

#6 - 2013-08-07 20:07 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.

It is available at https://review.typo3.0rg/22938

#7 - 2013-08-07 20:30 - Alexander Stehlik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8¢c8bdfe059282687cff4a9fee54b8c60c0bcdfcO.
